@echo off
echo Note: this demonstration of EASIGRAF will run more quickly from 
echo a hard disk than a floppy disk. We recommend that before running the 
echo demonstration you copy all the files supplied into a subdirectory
echo of your hard disk and then run the demonstration from there. If you 
echo wish to do this then break out of this batch file now by pressing
echo control-C...
pause
cls
echo.
echo.
echo.
        rem GRAFDEMO.BAT
echo.        
echo.        
echo                              EASIGRAF demonstration
echo.        
echo         This is just a short demonstration which shows you some of the 
echo         graphs that EASIGRAF can produce. For it to run properly you 
echo         must be logged on to the disk containing the graph files (which 
echo         are all called something.GRP) and the file called EASIGRAF.EXE 
echo         must also be present. 
echo.        
echo         All the graph files were produced using EASISTAT, but please 
echo         note that this demonstration is not run from EASISTAT, but as an 
echo         ordinary DOS batch file. There is another demonstration on the 
echo         disk which is run from EASISTAT, called GDEMO (from which the 
echo         data for this demonstration was produced). To run that one first 
echo         run EASISTAT and read in the example data file by entering DATA 
echo         EXAMPLE.DAT, then put this disk in the drive and type INPUT 
echo         GDEMO. To run this current demonstration you should have quit 
echo         EASISTAT and then you just type GRAFDEMO. 
echo.        
        pause
echo.       
echo         EASIGRAF and EASISTAT are Shareware programs. If you find 
echo         them useful then please become a registered user by 
echo         writing to:
echo.       
echo           ARC Scientific Limited,
echo           257 Woodstock Road,
echo           Oxford OX2 7AE.
echo.       
echo           Tel. 0865 310167 
echo.       
echo         You will receive up-to-date versions of the programs and a 
echo         full printed manual.
echo.        
echo         For further information about how to use EASIGRAF please
echo         consult the printed manual or, if you do not have one, 
echo         the on-disk documentation.
        pause 
echo.
echo         There is one problem which may occur that is difficult to 
echo         predict, which is that EASIGRAF may fail to correctly recognise 
echo         your monitor. If this occurs you will have to set a DOS 
echo         environment variable called FG_DISPLAY. Full instructions for 
echo         doing this are in the documentaion. If EASIGRAF fails to display 
echo         a graph and just gives a blank screen or one with 
echo         "interference" you will need to do this. It may be possible to 
echo         quit EASIGRAF by pressing Q, otherwise reboot the computer. 
echo         Briefly, try entering one of the following lines (at the DOS 
echo         prompt) before trying to run this demonstration again: 
echo.        
echo         SET FG_DISPLAY=CGAHIRES
echo         SET FG_DISPLAY=EGAHIRES
echo         SET FG_DISPLAY=HERC
echo         SET FG_DISPLAY=VGA11
echo.        
echo         depending on whether you have a CGA, EGA, Hercules or VGA 
echo         monitor.
echo.        
pause
echo.
echo         Now we'll start the demonstration.
echo.        
echo         We'll start by showing the frequency distribution of HDA scores 
echo         in a population. These are contained in a graph file called 
echo         HDA.GRP. This batch file will run EASIGRAF to display the graph. 
echo         The only thing you really need to know is how to quit EASIGRAF, 
echo         which you do by pressing 'Q' when the graph is displayed. Then 
echo         you will return to this demonstration. Information about the 
echo         options available in EASIGRAF are described in the manual
echo         and on-disk documentation.
echo.        
echo         You may wish to hide the menu displayed at the bottom of 
echo         screen so that you can see the graph properly. To do this 
echo         press 'M' and to get it back press 'M' again.
echo.        
echo         Press a key when you are ready to run EASIGRAF and view the 
echo         graph. 
echo.
        pause
        echo on
        easigraf hda.grp
        echo off
cls
echo.
echo.
echo.
echo.        
echo         Well, you got back here OK. If EASIGRAF didn't work 
echo         properly then you may need to set FG_DISPLAY and you
echo         should consult the documentation before continuing
echo         with this demonstation. If EASIGRAF said that it could not open
echo         HDA.GRP then you may be logged on to the wrong disk. You should 
echo         quit the demonstration, make sure the correct disk is in
echo         drive A: and then type 
echo.
echo         A:
echo         GRAFDEMO
echo.
echo         on different lines.
echo.
echo         If you wish to leave the demonstration press Control-C (then 
echo         'Y'). 
echo.        
        pause
echo.        
echo         Still here? Good.
echo.        
echo         Now let's see a breakdown of GHQ scores (more emotional
echo         distress) by social class. This information was derived from the 
echo         ANOVA function of EASISTAT and is in the file called ANOVA.GRP.
echo.
echo         To see the means of each group when the graph is showing press 
echo         'R', then '3' then ENTER. 
echo.        
        pause
        echo on
        easigraf regress.grp
        echo off
cls
echo.
echo.
echo.
echo.        
echo         Next is a histogram of GHQ cases and non-cases (scores less
echo         than 12) against social class. It's in HISTO.GRP.
echo.        
echo         Press a key to view the graph. When it is showing 'X' will 
echo         swap over the groupings and '3' will make the blocks solid.
echo.        
        pause
        echo on
        easigraf histo.grp 
        echo off
cls
echo.
echo.
echo.
echo.                     
echo         Now let's try plotting HDA against GHQ. The data is in 
echo         REGRESS.GRP.
echo.
echo         To view the regression line when the graph is showing press
echo         'R', then '1' then ENTER. 
echo.        
        pause
        echo on
        easigraf regress.grp
        echo off
cls
echo.
echo.
echo.
echo.        
echo         To finish the demonstration we'll give examples of how EASIGRAF 
echo         can produce graphs of mathematical functions. Press a key to see 
echo         the graphs. 
echo.        
        pause
        echo on
        easigraf trigs.grp
        echo off
cls
echo.
echo.
echo.
echo.        
echo         We'll try for a pseudo-3D one now. It's called the frilly 
echo         circle. To see the third dimension press '3' when the graph is 
echo         showing. 
echo.        
        pause
        echo on
        easigraf frilly.grp
        echo off
cls
echo.
echo.
echo.
echo.        
echo         The equation for that curve was:
echo           X=SIN(theta)  Y=SIN(8*theta)  and  Z=COS(theta)
echo.        
echo.        
echo         We can plot nearly the same data in a different way. 
echo.        
echo         Once again press '3' to view the third dimension.
echo.        
        pause
        echo on
        easigraf wave.grp
        echo off
cls
echo.
echo.
echo.
echo.         
echo         That was:
echo          X=COS(theta)  Y=SIN(8*theta)  Z=theta
echo.        
echo         Like EASISTAT, it is possible to control EASIGRAF from a 
echo         command file. To demonstrate this we'll first create a file 
echo         called TEMP.JF:

 echo mk1 > temp.jf
 echo t67 >> temp.jf
 echo Here's a floating title >>temp.jf
 echo 0.1,0.1,0 >>temp.jf
 echo _ >>temp.jf
 echo _ _ >>temp.jf
 echo t67 >> temp.jf
 echo _ >>temp.jf
 echo _ >>temp.jf
 echo Here's one going up >>temp.jf
 echo 0.8,0.2,90 >>temp.jf
 echo _ >>temp.jf
 echo _ _ >>temp.jf
 echo t67 >> temp.jf
 echo _ >>temp.jf
 echo _ >>temp.jf
 echo _ >>temp.jf
 echo _ >>temp.jf
 echo Press Q to quit EASIGRAF >>temp.jf
 echo 0.2,0.3,0 >>temp.jf
 echo _ >>temp.jf
 echo _ _ >>temp.jf

echo.
echo         TEMP.JF has been created on disk. Now when we run EASIGRAF 
echo         you should see extra titles being added automatically by 
echo         this command file.
echo.
echo         Press '3' to see a helix.
echo.        
        pause 
        echo on
        easigraf spring.grp temp.jf
        echo off
cls
echo.
echo.
echo.
echo.        
echo         OK that's all for now.
echo.        
echo         Please read the manual or on-disk documentation to learn more 
echo         about EASIGRAF. If you like it then please become a 
echo         registered user.
echo.        
echo         ARC Scientific Limited,
echo         257 Woodstock Road,
echo         Oxford OX2 7AE.
echo.
echo.
echo.       

